version: "3.9"

services:
    pgdb:
        image: postgres:14.5
        container_name: pgdb
        env_file: .env
        ports:
            - "5433:5432"
        volumes:
            - ./data:/var/lib/postgresql/data

    django:
        build:
            context: django_app
            dockerfile: Dockerfile
        container_name: django
        command: /bin/bash -c "exec invoke rundev"
        volumes:
            - ./django_app:/usr/src/app
#        ports:
#            - "8000:8000"
        expose:
            -   8000
        depends_on:
            - pgdb
        env_file: .env

    nginx:
        image: nginx:1.23.0
        container_name: nginx
        volumes:
            - ./nginx/dev_nginx.conf:/etc/nginx/conf.d/default.conf
            - ./django_app/static:/static
        ports:
            - "80:80"
#           - "8000:8000"
        depends_on:
            - django